Go to the first, previous, next, last section, table of contents.

### diff options

These standard options are supported by `diff` (see section Common command options, for a complete description of them):

`-D date`
  Use the most recent revision no later than date. See ``-r'` for how this affects the comparison. CVS can be configured to pass the ``-D'` option through to `rcsdiff` (which in turn passes it on to `diff`. GNU diff uses ``-D'` as a way to put `cpp`-style ``#define'` statements around the output differences. There is no way short of testing to figure out how CVS was configured. In the default configuration CVS will use the ``-D date'` option.
`-k kflag`
  Process RCS keywords according to kflag. See co(1).
`-l`
  Local; run only in current working directory.
`-R`
  Examine directories recursively. This option is on by default.
`-r tag`
  Compare with revision tag. Zero, one or two ``-r'` options can be present. With no ``-r'` option, the working file will be compared with the revision it was based on. With one ``-r'`, that revision will be compared to your current working file. With two ``-r'` options those two revisions will be compared (and your working file will not affect the outcome in any way). One or both ``-r'` options can be replaced by a ``-D date'` option, described above.

Any other options that are found are passed through to `rcsdiff`, which in turn passes them to `diff`. The exact meaning of the options depends on which `diff` you are using. The long options introduced in GNU diff 2.0 are not yet supported in CVS. See the documentation for your `diff` to see which options are supported.

Go to the first, previous, next, last section, table of contents.